Apache HTTP Server up to 2.2.3 mod_rewrite numeric error

CVSS Meta Temp Score
CVSS is a standardized scoring system to determine possibilities of attacks. The Temp Score considers temporal factors like disclosure, exploit and countermeasures. The unique Meta Score calculates the average score of different sources to provide a normalized scoring system.
Current Exploit Price (≈)
Our analysts are monitoring exploit markets and are in contact with vulnerability brokers. The range indicates the observed or calculated exploit price to be seen on exploit markets. A good indicator to understand the monetary effort required for and the popularity of an attack.
CTI Interest Score
Our Cyber Threat Intelligence team is monitoring different web sites, mailing lists, exploit markets and social media networks. The CTI Interest Score identifies the interest of attackers and the security community for this specific vulnerability in real-time. A high score indicates an elevated risk to be targeted for this vulnerability.
6.0$0-$5k0.06

A vulnerability, which was classified as critical, has been found in Apache HTTP Server up to 2.2.3 (Web Server). Affected by this issue is some unknown processing of the component mod_rewrite. Using CWE to declare the problem leads to CWE-189. Impacted is confidentiality, integrity, and availability.

The weakness was shared 07/28/2006 by Mark Dowd with ISS X-Force (Website). The advisory is available at apache.org. This vulnerability is handled as CVE-2006-3747 since 07/20/2006. Access to the local network is required for this attack to succeed. No form of authentication is required for exploitation. Technical details are unknown but a public exploit is available.

After 4 weeks, there has been an exploit disclosed. It is declared as highly functional. The exploit is available at saintcorporation.com. As 0-day the estimated underground price was around $25k-$100k. The vulnerability scanner Nessus provides a plugin with the ID 22152 (Slackware 10.0 / 10.1 / 10.2 / 8.1 / 9.0 / 9.1 / current : Apache httpd (SSA:2006-209-01)), which helps to determine the existence of the flaw in a target environment. It is assigned to the family Slackware Local Security Checks and running in the context local. The commercial vulnerability scanner Qualys is able to test this issue with plugin 86846 (HP System Management Homepage Code Execution and Denial of Service).

Upgrading eliminates this vulnerability. Applying a patch is able to eliminate this problem. The bugfix is ready for download at httpd.apache.org. The best possible mitigation is suggested to be upgrading to the latest version. A possible mitigation has been published 4 days after the disclosure of the vulnerability. Attack attempts may be identified with Snort ID 11679.

The vulnerability is also documented in the databases at X-Force (28063), SecurityTracker (ID 1016601), Tenable (22152) and Exploit-DB (2237). The entries 2699, 2701 and 2700 are related to this item.

Productinfoedit

Type

Vendor

Name

CPE 2.3infoedit

CPE 2.2infoedit

CVSSv3infoedit

VulDB Meta Base Score: 6.3
VulDB Meta Temp Score: 6.0

VulDB Base Score: 6.3
VulDB Temp Score: 6.0
VulDB Vector: 🔍
VulDB Reliability: 🔍

CVSSv2infoedit

AVACAuCIA
🔍🔍🔍🔍🔍🔍
🔍🔍🔍🔍🔍🔍
🔍🔍🔍🔍🔍🔍
VectorComplexityAuthenticationConfidentialityIntegrityAvailability
unlockunlockunlockunlockunlockunlock
unlockunlockunlockunlockunlockunlock
unlockunlockunlockunlockunlockunlock

VulDB Base Score: 🔍
VulDB Temp Score: 🔍
VulDB Reliability: 🔍

NVD Base Score: 🔍

Exploitinginfoedit

Class: Unknown
CWE: CWE-189
ATT&CK: Unknown

Local: No
Remote: Partially

Availability: 🔍
Access: Public
Status: Highly functional
Download: 🔍
Price Prediction: 🔍
Current Price Estimation: 🔍

0-Dayunlockunlockunlockunlock
Todayunlockunlockunlockunlock

Nessus ID: 22152
Nessus Name: Slackware 10.0 / 10.1 / 10.2 / 8.1 / 9.0 / 9.1 / current : Apache httpd (SSA:2006-209-01)
Nessus File: 🔍
Nessus Risk: 🔍
Nessus Family: 🔍
Nessus Context: 🔍
Nessus Port: 🔍

OpenVAS ID: 57201
OpenVAS Name: Debian Security Advisory DSA 1131-1 (apache)
OpenVAS File: 🔍
OpenVAS Family: 🔍

Saint ID: exploit_info/apache_rewrite_ldap
Saint Name: Apache mod_rewrite LDAP URL buffer overflow

Qualys ID: 🔍
Qualys Name: 🔍

MetaSploit ID: apache_mod_rewrite_ldap.rb
MetaSploit Name: Apache Module mod_rewrite LDAP Protocol Buffer Overflow
MetaSploit File: 🔍

Exploit-DB: 🔍

Threat Intelligenceinfoedit

Interest: 🔍
Active Actors: 🔍
Active APT Groups: 🔍

Countermeasuresinfoedit

Recommended: Upgrade
Status: 🔍

Reaction Time: 🔍
0-Day Time: 🔍
Exposure Time: 🔍
Exploit Delay Time: 🔍

Upgrade: apache.org
Patch: httpd.apache.org

Snort ID: 11679

Timelineinfoedit

07/20/2006 🔍
07/28/2006 +8 days 🔍
07/28/2006 +0 days 🔍
07/28/2006 +0 days 🔍
07/28/2006 +0 days 🔍
07/28/2006 +0 days 🔍
07/28/2006 +0 days 🔍
08/01/2006 +3 days 🔍
08/04/2006 +3 days 🔍
08/20/2006 +16 days 🔍
03/13/2021 +5319 days 🔍

Sourcesinfoedit

Vendor: apache.org

Advisory: apache.org
Researcher: Mark Dowd
Organization: ISS X-Force
Status: Confirmed
Confirmation: 🔍

CVE: CVE-2006-3747 (🔍)
X-Force: 28063
SecurityTracker: 1016601 - Apache mod_rewrite Off-by-one Error Lets Remote Users Execute Arbitrary Code
SecurityFocus: 19204 - Apache Mod_Rewrite Off-By-One Buffer Overflow Vulnerability
Secunia: 21197 - Apache mod_rewrite Off-By-One Buffer Overflow Vulnerability, Moderately Critical
OSVDB: 27588 - Apache HTTP Server mod_rewrite LDAP Protocol URL Handling Overflow
Vupen: ADV-2006-3017

scip Labs: https://www.scip.ch/en/?labs.20161013
See also: 🔍

Entryinfoedit

Created: 07/28/2006 04:15 PM
Updated: 03/13/2021 11:12 AM
Changes: (1) source_nessus_risk
Complete: 🔍

Comments

No comments yet. Languages: en.

Please log in to comment.

Do you want to use VulDB in your project?

Use the official API to access entries easily!